View Issue Details

IDProjectCategoryView StatusLast Update
0002768SymmetricDSBugpublic2016-11-08 11:59
Reporterwoehrl01Assigned Tojosh-a-hicks 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.8.2 
Target Version3.8.8Fixed in Version3.8.8 
Summary0002768: Abandoned batches in StagingArea if Batch is marked as "OK"
DescriptionWe see some abandoned batches in the staging area which are some months old. It seems they aren't properly deleted initial load/"OK"-ed batches.

If I looked at the source correctly, resources are only cleared if they are "DONE" which only happens on "ACK", and it seems if you abort an initial load and recreate a new one, it "OKs" all batches, which doesn't clear the resource. If you have stream to file enabled they will be there. Forever! As StreamToFile is enabled by default on 3.8 I think this could be a problem for some people.

I think that clean() of the StagingManager should also check if the file has a valid matching batch in sym_outgoing_batch table and other wise purge it.
TagsNo tags attached.

Activities

admin

2016-09-30 10:28

administrator   ~0000876

Re-opening. Was accidentally closed when performing the release.

Issue History

Date Modified Username Field Change
2016-09-06 11:00 woehrl01 New Issue
2016-09-29 21:01 admin Status new => closed
2016-09-30 10:28 admin Status closed => new
2016-09-30 10:28 admin Note Added: 0000876
2016-11-07 18:09 chenson Assigned To => josh-a-hicks
2016-11-07 18:09 chenson Status new => assigned
2016-11-07 18:09 chenson Target Version => 3.8.8
2016-11-08 11:57 chenson Status assigned => resolved
2016-11-08 11:57 chenson Fixed in Version => 3.8.8
2016-11-08 11:57 chenson Resolution open => fixed
2016-11-08 11:59 chenson Status resolved => closed